export const Barrage = () => import('../../src/components/Barrage.vue' /* webpackChunkName: "components/barrage" */).then(c => wrapFunctional(c.default || c))
export const BottomRightFixed = () => import('../../src/components/BottomRightFixed.vue' /* webpackChunkName: "components/bottom-right-fixed" */).then(c => wrapFunctional(c.default || c))
export const CommonHeader = () => import('../../src/components/CommonHeader.vue' /* webpackChunkName: "components/common-header" */).then(c => wrapFunctional(c.default || c))
export const DoctorItem = () => import('../../src/components/DoctorItem.vue' /* webpackChunkName: "components/doctor-item" */).then(c => wrapFunctional(c.default || c))
export const DoctorVideoItem = () => import('../../src/components/DoctorVideoItem.vue' /* webpackChunkName: "components/doctor-video-item" */).then(c => wrapFunctional(c.default || c))
export const MobileHeader = () => import('../../src/components/MobileHeader.vue' /* webpackChunkName: "components/mobile-header" */).then(c => wrapFunctional(c.default || c))
export const NotLogin = () => import('../../src/components/NotLogin.vue' /* webpackChunkName: "components/not-login" */).then(c => wrapFunctional(c.default || c))
export const UserInfoCommon = () => import('../../src/components/UserInfoCommon.vue' /* webpackChunkName: "components/user-info-common" */).then(c => wrapFunctional(c.default || c))
export const VideoArticleListItem = () => import('../../src/components/VideoArticleListItem.vue' /* webpackChunkName: "components/video-article-list-item" */).then(c => wrapFunctional(c.default || c))
export const WebFooter = () => import('../../src/components/WebFooter.vue' /* webpackChunkName: "components/web-footer" */).then(c => wrapFunctional(c.default || c))
export const WebHeader = () => import('../../src/components/WebHeader.vue' /* webpackChunkName: "components/web-header" */).then(c => wrapFunctional(c.default || c))

// nuxt/nuxt.js#8607
function wrapFunctional(options) {
  if (!options || !options.functional) {
    return options
  }

  const propKeys = Array.isArray(options.props) ? options.props : Object.keys(options.props || {})

  return {
    render(h) {
      const attrs = {}
      const props = {}

      for (const key in this.$attrs) {
        if (propKeys.includes(key)) {
          props[key] = this.$attrs[key]
        } else {
          attrs[key] = this.$attrs[key]
        }
      }

      return h(options, {
        on: this.$listeners,
        attrs,
        props,
        scopedSlots: this.$scopedSlots,
      }, this.$slots.default)
    }
  }
}
